-- deboop
-- replaces hit sound with the ones from OpenArena (http://openarena.ws)

spuck = spuck or {}

local function load_deboop()
	local sounds = { 
		"plugins/deboop/sounds/ric1.ogg",
		"plugins/deboop/sounds/ric2.ogg"
	}
	
	for i,v in pairs(sounds) do
		gksound.GKLoadSound{soundname="deboop"..tostring(i), filename=v}
	end

	local gkps = gksound.GKPlaySound
	function gksound.GKPlaySound(name, vol)
		if name == "hit" then
			name = "deboop"..math.random(#sounds)
		end
		gkps(name, vol)		   
	end
end

-- deboop should only be loaded once ebcause ReloadInterface won't reset gkps
if not spuck.deboop then
	load_deboop()
end

spuck.deboop = true
